### Hierarchy

- ClickableTile

## Index

### Inputs

- disabled
- href
- route
- routeExtras
- target

### Outputs

- navigation

### Constructors

- constructor

### Properties

- disabled
- href
- navigation
- route
- routeExtras
- router
- target

### Methods

- navigate

## Constructors

### constructor

- new ClickableTile(router: Router): ClickableTile

- - Defined in src/tiles/clickable-tile.component.ts:66

  #### Parameters

  - ##### router: Router

  #### Returns ClickableTile

## Properties

### disabled

@Input()
disabled: boolean = false

- Defined in src/tiles/clickable-tile.component.ts:49

### href

@Input()
href: string = "#"

- Defined in src/tiles/clickable-tile.component.ts:39

### navigation

@Output()
navigation: EventEmitter<Promise<boolean>> = new EventEmitter<Promise<boolean>>()

- Defined in src/tiles/clickable-tile.component.ts:66

### route

@Input()
route: any[]

- Defined in src/tiles/clickable-tile.component.ts:55

### routeExtras

@Input()
routeExtras: any

- Defined in src/tiles/clickable-tile.component.ts:61

### Protected router

@Optional()
router: Router

- Defined in src/tiles/clickable-tile.component.ts:68

### target

@Input()
target: string

- Defined in src/tiles/clickable-tile.component.ts:44

## Methods

### navigate

- navigate(event: any): void

- - Defined in src/tiles/clickable-tile.component.ts:70

  #### Parameters

  - ##### event: any

  #### Returns void

Generated using TypeDoc